#ifndef KYEXECTL_KMOD_PARAMS_H
#define KYEXECTL_KMOD_PARAMS_H

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * @brief 获取执行控制模块参数配置
 *
 * @param pcr[out]	保存获取到的pcr值
 * @param pcr_size[in]	保存数据的缓冲区或数组大小
 * @param algo[out]	保存获取到的hash算法名称
 * @param algo_size[in]	保存数据的缓冲区或数组大小
 * @return 1 成功，其他 失败
 */
int exectl_parse_kmod_params(char *pcr, size_t pcr_size, char *algo, size_t algo_size);

/*
 * @brief 设置支持控制模块参数配置
 *
 * @param pcr[in]	pcr值
 * @param pcr_size[in]	数据大小
 * @param algo[in]	hash算法名称
 * @param algo_size[in]	数据大小
 * @return 0 成功，其他 失败
 */

int exectl_set_kmod_params(const char *pcr, size_t pcr_size, const char *algo, size_t algo_size);

#ifdef __cplusplus
}
#endif

#endif /* KYEXECTL_KMOD_PARAMS_H */
